PETSc version 3.15.5
Fix/Edit manual page

# TaoALMMSetType

Determine the augmented Lagrangian formulation type for the subproblem.

### Synopsis

    #include "petsctao.h"
    #include "petscvec.h"
    PetscErrorCode TaoALMMSetType(Tao tao, TaoALMMType type)

### Input Parameters

| tao | - the Tao context for the TAOALMM solver
| type | - augmented Lagragrangian type

### See Also

TAOALMM, TaoALMMGetType(), TaoALMMType

### Level

advanced

### Location

src/tao/constrained/impls/almm/almmutils.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages